{
  inputs,
  modulesPath,
  ...
}: {
  imports = with inputs.nixos-hardware.nixosModules; [
    (modulesPath + "/installer/scan/not-detected.nix")
    common-amd-cpu-pstate
    common-intel-gpu
    common-pc-ssd
  ];
  hardware = {
    enableRedistributableFirmware = true;
    intelgpu = {
      vaapiDriver = "intel-media-driver";
      useIntelMediaDriver = true;
    };
  };
}
