{
  inputs,
  osConfig,
  ...
}: {
  imports = with inputs; [
    nix-index-database.hmModules.nix-index
    self.homeModules.desktop
    self.homeModules.programs
    ./programs.nix
    ./flatpak.nix
  ];
  home = {
    inherit (osConfig.system) stateVersion;
    sessionPath = ["$HOME/.local/bin"];
  };

  desktop.niri.enable = true;
}
