{inputs, ...}: {
  imports = with inputs; [
    nix-index-database.hmModules.nix-index
    self.homeModules.desktop
    self.homeModules.programs
    ./programs.nix
    ./flatpak.nix
  ];
  desktop.niri.enable = true;
  home = {
    stateVersion = "25.05";
    sessionPath = [
      "$HOME/.local/bin"
    ];
  };
}
